# Search Console API . urlcrawlerrorscounts

## Instance Methods

Retrieves a time series of the number of URL crawl errors per error category and platform.

### Method Details

`query(siteUrl, category=None, platform=None, latestCountsOnly=None)`

    Retrieves a time series of the number of URL crawl errors per error category and platform.

    Args:
      siteUrl: string, The site's URL, including protocol. For example: http://www.example.com/ (required)
      category: string, The crawl error category. For example: serverError. If not specified, returns results for all categories.
        Allowed values
          authPermissions -
          flashContent -
          manyToOneRedirect -
          notFollowed -
          notFound -
          other -
          roboted -
          serverError -
          soft404 -
      platform: string, The user agent type (platform) that made the request. For example: web. If not specified, returns results for all platforms.
        Allowed values
          mobile -
          smartphoneOnly -
          web -
      latestCountsOnly: boolean, If true, returns only the latest crawl error counts.

    Returns:
      An object of the form:

        { # A time series of the number of URL crawl errors per error category and platform.
        "countPerTypes": [ # The time series of the number of URL crawl errors per error category and platform.
          { # Number of errors per day for a specific error type (defined by platform and category).
            "category": "A String", # The crawl error type.
            "platform": "A String", # The general type of Googlebot that made the request (see list of Googlebot user-agents for the user-agents used).
            "entries": [ # The error count entries time series.
              { # An entry in a URL crawl errors time series.
                "count": "A String", # The error count at the given timestamp.
                "timestamp": "A String", # The date and time when the crawl attempt took place, in RFC 3339 format.
              },
            ],
          },
        ],
      }